Show / Hide Table of Contents

# Interface IOpenIddictServerDataProtectionFormatter

###### Namespace: OpenIddict.Server.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictServerDataProtectionFormatter

### Methods

#### ReadToken(BinaryReader)

##### Declaration

    ClaimsPrincipal ReadToken(BinaryReader reader)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryReader | reader |

##### Returns

Type | Description
--- | ---
ClaimsPrincipal |

#### WriteToken(BinaryWriter, ClaimsPrincipal)

##### Declaration

    void WriteToken(BinaryWriter writer, ClaimsPrincipal principal)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryWriter | writer |
ClaimsPrincipal | principal |